<?php
	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Pragma: no-cache");

	/*////////////////////////////////////////////////////////////

	iWare Professional 5.0.4
	Copyright (C) 2002,2003 David N. Simmons
	http://www.dsiware.com

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

	A COPY OF THE GPL LICENSE FOR THIS PROGRAM CAN BE FOUND WITHIN THE
	docs/ DIRECTORY OF THE INSTALLATION PACKAGE.

	/////////////////////////////////////////////////////////////*/

	define("SITE_VIEW",0);
	include "iware.php";
	$IW = new IWARE ();
	if(!isset($_REQUEST['cmd'])){$_REQUEST['cmd']=INIT;}
?>
<html>
<head>
<title>iWare Professional Control Panel</title>
<meta name="robots" content="noindex">
<script type="text/javascript">
	window.status='iWare Professional Control Panel';
	function SitePreview (){window.open('../');}
	function isNumber (x)
	{
	var anum=/(^\d+$)|(^\d+\.\d+$)/
	if (anum.test(x))
		{return true;}
	else
		{return false;}
	}
	function Users_Form ()
	{
	if(document.usersForm.realname.value.length<1){alert('<?php echo SCRIPT_0; ?>');return false;}
	if(document.usersForm.username.value.length<1){alert('<?php echo SCRIPT_1; ?>');return false;}
	if(document.usersForm.password.value.length<1){alert('<?php echo SCRIPT_2; ?>');return false;}
	if(document.usersForm.cpassword.value.length<1){alert('<?php echo SCRIPT_3; ?>');return false;}
	if(document.usersForm.password.value != document.usersForm.cpassword.value)
		{alert('<?php echo SCRIPT_4; ?>');return false;}
	return true;
	}
	function Users_ConfirmDelete ()
	{if(window.confirm('<?php echo SCRIPT_5; ?>')){return true;}return false;}
	function Groups_Form ()
	{
	if(document.groupsForm.groupname.value.length<1){alert('<?php echo SCRIPT_6; ?>');return false;}
	return true;
	}
	function Groups_ConfirmDelete ()
	{if(window.confirm('<?php echo SCRIPT_7; ?>')){return true;}return false;}
	function Docs_Form ()
	{
	if(document.docsForm.link_text.value.length<1){alert('<?php echo SCRIPT_8; ?>');return false;}
	return true;
	}
	function Docs_ConfirmDelete ()
	{if(window.confirm('<?php echo SCRIPT_9; ?>')){return true;}return false;}
	function Order_Form ()
	{
	for(i=0;i<(document.orderForm.elements.length-1);i++)
	{
	val = document.orderForm.elements[i].value;
	if(!isNumber(val)){alert('<?php echo SCRIPT_10; ?>');return false;}
	}
	return true;
	}
	function Files_UploadForm ()
	{if(document.uploadForm.userfile.value.length<1){alert('<?php echo SCRIPT_11; ?>');return false;}	}
	function Files_ConfirmDelete ()
	{if(window.confirm('<?php echo SCRIPT_12; ?>')){return true;}return false;}
	function Mods_ConfirmInstall ()
	{if(window.confirm('<?php echo SCRIPT_13; ?>')){return true;}return false;	}
	function Mods_ConfirmUnInstall ()
	{if(window.confirm('<?php echo SCRIPT_14; ?>')){return true;}return false;	}
</script>
<link rel="stylesheet" href="global.css"></link>
<?php
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=".IWARE_CHARSET."\">\n";
	switch($_REQUEST['cmd'])
		{
		case LAYOUT_HEADERMANAGE:
		case LAYOUT_FOOTERMANAGE:
		case DOCS_CREATE:
		case DOCS_EDIT:
		case MODS_USE:
			include "editor.php"; // Embed The Editor Script
		break;
		}
	echo "</head>";
	$IW->UI_PageBody();
	echo "<center>";
	$IW->Session_ShowLoginForm();
	if(!isset($_REQUEST['logout'])){$_REQUEST['logout']='0';}
	if($_REQUEST['logout']==1){$IW->Session_Logoff();}
	$IW->UI_ToolbarControl ();
	switch($_REQUEST['cmd'])
		{
		case INIT:
			$IW->System_Summary();
		break;
		case USERS_MANAGE:
			$IW->Users_Manager();
		break;
		case USERS_CREATE:
			$IW->Users_Form(0);
		break;
		case USERS_ADD:
			$IW->Users_Add ();
		break;
		case USERS_EDIT:
			$IW->Users_Form(1,$_REQUEST['id']);
		break;
		case USERS_UPDATE:
			$IW->Users_Update($_REQUEST['id']);
		break;
		case USERS_DELETE:
			$IW->Users_Delete($_REQUEST['id']);
		break;
		case GROUPS_MANAGE:
			$IW->Groups_Manager();
		break;
		case GROUPS_CREATE:
			$IW->Groups_Form(0);
		break;
		case GROUPS_ADD:
			$IW->Groups_Add ();
		break;
		case GROUPS_EDIT:
			$IW->Groups_Form(1,$_REQUEST['id']);
		break;
		case GROUPS_UPDATE:
			$IW->Groups_Update($_REQUEST['id']);
		break;
		case GROUPS_DELETE:
			$IW->Groups_Delete($_REQUEST['id']);
		break;
		case LAYOUT_HEADERMANAGE:
			$IW->Layout_HeaderManager ();
		break;
		case LAYOUT_HEADERUPDATE:
			$IW->Layout_HeaderUpdate ();
		break;
		case LAYOUT_FOOTERMANAGE:
			$IW->Layout_FooterManager ();
		break;
		case LAYOUT_FOOTERUPDATE:
			$IW->Layout_FooterUpdate ();
		break;
		case SKINS_MANAGE:
			$IW->Skins_Form ();
		break;
		case SKINS_UPDATE:
			$IW->Skins_Update ();
		break;
		case DOCS_MANAGE:
			$IW->Docs_Manager ();
		break;
		case DOCS_CREATE:
			$IW->Docs_Form (0);
		break;
		case DOCS_ADD:
			$IW->Docs_Add ();
		break;
		case DOCS_EDIT:
			$IW->Docs_Form (1,$_REQUEST['id']);
		break;
		case DOCS_UPDATE:
			$IW->Docs_Update($_REQUEST['id']);
		break;
		case DOCS_DELETE:
			$IW->Docs_Delete($_REQUEST['id']);
		break;
		case ORDER_MANAGE:
			$IW->DocsOrder_Manager();
		break;
		case ORDER_UPDATE:
			$IW->DocsOrder_Update();
		break;
		case FILES_MANAGE:
			$IW->Files_UploadForm ();
			$IW->Files_Manager ();
		break;
		case FILES_UPLOAD:
			$IW->Files_UploadFile();
		break;
		case FILES_DELETE:
			$IW->Files_DeleteFile($_REQUEST['file']);
		break;
		case MODS_MANAGE:
			$IW->Mod_Manager();
		break;
		case MODS_INSTALL:
			$IW->Mod_Install($_REQUEST['file']);
		break;
		case MODS_UNINSTALL:
			$IW->Mod_UnInstall($_REQUEST['file']);
		break;
		case MODS_USE:
			$IW->Mod_Load($_REQUEST['file']);
		break;
		}
?>
</center>
</body>
</html>