<?php
	
	define("MODULE_NAME","GuestBook_1.0.0");
	define("TABLE_LOG",TABLE_PREFIX."mod_guestbook");

	define("POST_BROWSE",0);
	define("POST_EDIT",1);
	define("POST_UPDATE",2);
	define("POST_DELETE",3);

	class ModuleAdmin {
		
		function Post_Browse ()
			{
			global $IW;		
			$sql="select * from ".TABLE_LOG." order by date_created desc";
			$result=$IW->DB_Query($sql);
			$matches=$IW->DB_CountResult($result);
			$IW->DB_FreeResult($result);
			if(!isset($_REQUEST['prevoffset'])){$_REQUEST['prevoffset']=0;}
			if(!isset($_REQUEST['offset'])){$_REQUEST['offset']=0;}
			$sql .=" limit ".$_REQUEST['offset'].",10";		
			$result = $IW->DB_Query($sql);
			$IW->UI_OpenTable();
			$row=0;
			for($i=0;$i<$IW->DB_CountResult($result);$i++)
				{
				if($row==0){$class="TableRow1";}
				else{$class="TableRow2";}
				echo "<tr>";
				echo "<td class=\"".$class."\">".date(DATE_FORMAT,$IW->DB_Result($result,$i,"date_created"))."</td>";
				echo "<td class=\"".$class."\">".$IW->DB_Result($result,$i,"title")."</td>";
				$EditItemAction=$_SERVER['PHP_SELF']."?cmd=".MODS_USE."&file=".MODULE_NAME;
				$EditItemAction.="&modcmd=".POST_EDIT."&id=".$IW->DB_Result($result,$i,"id");
				$EditItemButton=MODA_0;
				$IW->UI_OpenForm("",$EditItemAction,"");
				echo "<td class=\"".$class."\" align=\"center\" width=80>".$IW->UI_Submit($EditItemButton)."</td>";
				$IW->UI_CloseForm();				
				$DeleteItemAction=$_SERVER['PHP_SELF']."?cmd=".MODS_USE."&file=".MODULE_NAME;
				$DeleteItemAction.="&modcmd=".POST_DELETE."&id=".$IW->DB_Result($result,$i,"id");
				$DeleteItemButton=MODA_1;
				$IW->UI_OpenForm("",$DeleteItemAction,"");
				echo "<td class=\"".$class."\" align=\"center\" width=80>".$IW->UI_Submit($DeleteItemButton)."</td>";
				$IW->UI_CloseForm();	
				if($row==0){$row=1;}
				else{$row=0;}
				}
			$IW->UI_CloseTable();
			$IW->DB_FreeResult($result);
			$IW->UI_OpenTable();
			echo "<tr>";
			if ($_REQUEST['offset']!=0) 
				{
				$PrevPageAction=$_SERVER['PHP_SELF']."?cmd=".MODS_USE."&file=".MODULE_NAME;
				$PrevPageAction.="&offset=".($_REQUEST['offset']-3);
				$PrevPageButton=MODA_2;
				$IW->UI_OpenForm("",$PrevPageAction,"");
				echo "<td>".$IW->UI_Submit($PrevPageButton)."</td>";
				$IW->UI_CloseForm();	
				}
			$pages=intval($matches/10);
			if ($matches%10) {$pages++;}
			echo "<td>";
			for ($i=1;$i<=$pages;$i++) 
				{
				$newoffset=10*($i-1);
				$PageNumberLink=$_SERVER['PHP_SELF']."?cmd=".MODS_USE."&file=".MODULE_NAME;
				$PageNumberLink.="&offset=".$newoffset;
				$PageNumberLinkTitle=$i;
				echo "<a href=\"".$PageNumberLink."\">".$PageNumberLinkTitle."</a> \n";
				}
			echo "</td>";
			if (!(($_REQUEST['offset']/10)==$pages) && $pages!=1) 
				{
				$newoffset=$_REQUEST['offset']+10;
				$NextPageAction=$_SERVER['PHP_SELF']."?cmd=".MODS_USE."&file=".MODULE_NAME;
				$NextPageAction.="&offset=".$newoffset;
				$NextPageButton=MODA_3;
				$IW->UI_OpenForm("",$NextPageAction,"");
				echo "<td>".$IW->UI_Submit($NextPageButton)."</td>";
				$IW->UI_CloseForm();	
				}
			echo "</tr>";
			$IW->UI_CloseTable();
			}

		function Post_Edit ($id)
			{
			global $IW;
			$result=$IW->DB_Query("select * from ".TABLE_LOG." where id='".$id."' limit 1");			
			$title=$IW->DB_Result($result,0,"title");
			$author=$IW->DB_Result($result,0,"author");
			$content=$IW->DB_Result($result,0,"content");
			$IW->DB_FreeResult($result);
			$FormAction=$_SERVER['PHP_SELF']."?cmd=".MODS_USE."&file=".MODULE_NAME;
			$FormAction.="&modcmd=".POST_UPDATE."&id=".$id;
			$IW->UI_OpenForm("",$FormAction,"");
			$IW->UI_OpenTable();
			echo "<tr><td>".$IW->UI_Label(MODA_4)."</td><td>".$IW->UI_TextBox("author",$author,30)."</td></tr>";
			echo "<tr><td>".$IW->UI_Label(MODA_5)."</td><td>".$IW->UI_TextBox("title",$title,30)."</td></tr>";
			echo "<tr><td>".$IW->UI_Label(MODA_6)."</td><td>".$IW->UI_TextArea("content",$content,3,40)."</td></tr>";
			$IW->UI_CloseTable();
			echo $IW->UI_Submit(MODA_7);
			$IW->UI_CloseForm();
			}

		function Post_Update ($id)
			{
			global $IW;
			$title=$IW->DB_ParseInput($_REQUEST['title']);
			$author=$IW->DB_ParseInput($_REQUEST['author']);
			$content=$IW->DB_ParseInput($_REQUEST['content']);
			$sql="update ".TABLE_LOG. " set author='".$author."', title='".$title."', content='".$content."' where id='".$id."' limit 1";
			$IW->DB_Query($sql);
			$IW->UI_Message(MODA_8);
			$IW->UI_Navigate($_SERVER['PHP_SELF']."?cmd=".MODS_USE."&file=".MODULE_NAME);			
			}

		function Post_Delete ($id)
			{
			global $IW;
			$IW->DB_Query("delete from ".TABLE_LOG." where id='".$id."' limit 1");
			$IW->UI_Message(MODA_9);
			$IW->UI_Navigate($_SERVER['PHP_SELF']."?cmd=".MODS_USE."&file=".MODULE_NAME);
			}

	}

	$Admin = new ModuleAdmin ();
	$IW->UI_OpenWidget(MODA_10);
	if(!isset($_REQUEST['modcmd'])){$_REQUEST['modcmd']=POST_BROWSE;}
	switch($_REQUEST['modcmd'])
		{
		case POST_BROWSE:
			$Admin->Post_Browse();
		break;
		case POST_EDIT:
			$Admin->Post_Edit($_REQUEST['id']);
		break;
		case POST_UPDATE:
			$Admin->Post_Update($_REQUEST['id']);
		break;
		case POST_DELETE:
			$Admin->Post_Delete($_REQUEST['id']);
		break;
		}
	$IW->UI_CloseWidget();

?>